# Generic properties configuration

As stated earlier, each plugin can have one unique setup for generic properties, or you can share the same configuration between different plugins (image/image gallery for example).

For example content-part, our fact box plugin, have one general configuration for the entire plugin.

**Example of generic properties configuration in Writer client config file:**

```
    "propertiesConfig": {
        "showByDefault": [
            "im-ximimage"
        ],
        "properties": [
            {
                "name": "alignment",
                "title": "Alignment",
                "plugins": [
                    "im-imagegallery",
                    "im-ximimage",
                    "im-iframely"
                ],
                "values": [
                    {
                        "title": "Left",
                        "value": "left"
                    },
                    {
                        "title": "Right",
                        "value": "right"
                    },
                    {
                        "title": "Center",
                        "value": "center"
                    }
                ]
            },
            {
                "name": "effect",
                "title": "Want big text?",
                "plugins": [
                    "im-teaser"
                ],
                "values": [
                    {
                        "title": "Yes box!",
                        "value": "yes"
                    },
...
```

Please, visit the developer section [Creating a content object plugin](/writer/6.3.3/developer-guide/index/bitsandpieces.md) for more input about Generic properties.

The output will look like this for an object using generic properties:

```
<object id="MTI1LDIyNiw3OSw5OQ" type="x-im/image" uuid="5f720706-0f79-531c-be69-55dcb574a90b">
                        <links>
                            <link rel="self" type="x-im/image" uri="im://image/XabjbUPYd8tv-myp4VW4STU--XM.jpg" uuid="5f720706-0f79-531c-be69-55dcb574a90b">
                                <data>
                                    <width>2048</width>
                                    <height>1360</height>
                                    <imageInstructions/>
                                    <text/>
                                    <credit/>
                                </data>
                            </link>
                        </links>
                        <properties>
                            <property name="alignment" value="left"/>
                            <property name="fullwidth" value="1"/>
                            <property name="waffles" value="waffles"/>
                        </properties>
                    </object>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/writer/6.3.3/admin-guide/generic-properties-for-objects/generic-properties-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
